from larrt import planning
import pickle as pkl
import json

from mrmh_model import terrain, human, montecarlo, searcher
import plotting_utils as plotter
import waypoint_maker
import matplotlib.pyplot as plt
from scouter.terrain_viewer import plot_all
from matplotlib.backends.backend_pdf import PdfPages

from mrmh_model import montecarlo as MC
import numpy as np
from mrmh_model import searcher
import torch
from gp import beziergp
from gp import robotgp
import sys
from mrmh_model.params import Default
import datetime as dt
import time, os
import pdb

#Relative filepaths (Assumes this and ags_grabber projects are in same parent directory)
kentland_heatmap = './LP model/analysis/outputs/ic_1_con_hiker_t12_kentland.csv'
hmpark_heatmap = './LP model/analysis/outputs/ic_1_con_hiker_t12_hmpark.csv'

kentland_linfeat = '../ags_grabber/matlab_data/BW_LFandInac_Zelev_kentland.mat'
hmpark_linfeat = '../ags_grabber/matlab_data/BW_LFandInac_Zelev_hmpark.mat'


def main():

    #Set up environment parameters
    n_max = 3   #Number of robots
    s_max = 0   #Number of searchers (humans)
    h_max = 0   #Number of humans?
    start_time = time.time()

    #Dictionary of parameters
    params = ({
        'lp_model': 'stripes',    #custom, ring, trust, stripes
        'opt_iterations': 1000,
        'path_style': 'basic',
        'stats_name': 'kentland',
        'anchor_point': [37.197730, -80.585233], # kentland
        'num_searchers': s_max,
        'num_robots': n_max,
        'num_humans' : h_max,
        'lp_filename': kentland_heatmap,
        'lin_feat_filename': kentland_linfeat,
    })
    params['save_folder'] = 'deeprl_{}_n{}_s{}_{}'.format(
        params['stats_name'],n_max,s_max,params['path_style'])
    params = Default(params).params


    #MonteCarlo loads LPM, creates searchers (humans on ground)
    mc = MC.MonteCarlo(params=params) # calls terrain builder
    mc.run_experiment()

    #Make Gym Environment














if __name__ == "__main__":
    main()
